Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.item
Interface JdbcProductItemManager

All Superinterfaces
  BusinessSmartComponent, CatalogService, javax.ejb.EJBObject, JdbcCatalogService, Remote, Serializable, Session

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface JdbcProductItemManager

extends JdbcCatalogService

JDBC-specific `ProductItemManager` service implementation.

See Also
  `JdbcProductItemManagerHome`, `JdbcProductItemManagerImpl`

Method Summary
`void` | `createItem(CatalogRequest request, ProductItem product)` Deprecated See BEA Commerce product offering
`ProductItem` | `getItem(CatalogRequest request, ProductItemKey productKey)` Deprecated See BEA Commerce product offering
`int` | `getItemCount(CatalogRequest request)` Deprecated See BEA Commerce product offering
`ProductItemKey[]` | `getItemKeys(CatalogRequest request, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`ViewIterator` | `getItems(CatalogRequest request, int viewSize)` Deprecated See BEA Commerce product offering
`ProductItem[]` | `getItems(CatalogRequest request, ProductItemKey[] productKeys)` Deprecated See BEA Commerce product offering
`String[]` | `getKeywords(CatalogRequest request, ProductItemKey productKey)` Deprecated See BEA Commerce product offering
`void` | `removeItem(CatalogRequest request, ProductItemKey productKey)` Deprecated See BEA Commerce product offering
`void` | `setKeywords(CatalogRequest request, ProductItemKey productKey, String[] keywords)` Deprecated See BEA Commerce product offering
`void` | `updateItem(CatalogRequest request, ProductItem product)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.service.CatalogService
`getCatalogManager`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getItemCount

    int getItemCount(CatalogRequest request)
                     throws RemoteException,
                            CatalogException

  Deprecated See BEA Commerce product offering

  Returns the number of product items in the product catalog.

  Parameters
    `request` - The catalog request object
  Returns
    The number of product items in the product catalog.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getItem

    ProductItem getItem(CatalogRequest request,
                        ProductItemKey productKey)
                        throws RemoteException,
                               CatalogFinderException,
                               CatalogException

  Deprecated See BEA Commerce product offering

  Returns the product item with the specified key.

  Parameters
    `request` - The catalog request object.
    `productKey` - The key of the target product.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### getItems

    ProductItem[] getItems(CatalogRequest request,
                           ProductItemKey[] productKeys)
                           throws RemoteException,
                                  CatalogFinderException,
                                  CatalogException

  Deprecated See BEA Commerce product offering

  Returns the product items with the given product item keys.

  Parameters
    `request` - The catalog request object.
    `keys` - The keys of the target product items.
  Returns
    The product items with the given product item keys.
  Throws
    `CatalogFinderException` - if a product item with a given key does not exist.
    `CatalogException` - on general error.
    `RemoteException`

### getItemKeys

    ProductItemKey[] getItemKeys(CatalogRequest request,
                                 int beginIndex,
                                 int endIndex)
                                 throws RemoteException,
                                        CatalogException

  Deprecated See BEA Commerce product offering

  Returns an array over all existing product item keys within the specified ordered range.

  Parameters
    `request` - The catalog request object.
    `beginIndex` - The lower bound index for returned product item keys.
    `endIndex` - The upper bound index for returned product item keys.
  Returns
    An array of the product item keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getItems

    ViewIterator getItems(CatalogRequest request,
                          int viewSize)
                          throws RemoteException,
                                 CatalogException

  Deprecated See BEA Commerce product offering

  Returns a ViewIterator over all existing product items.

  Parameters
    `request` - The catalog request object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns
    A ViewIterator over all existing product items.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getKeywords

    String[] getKeywords(CatalogRequest request,
                         ProductItemKey productKey)
                         throws RemoteException,
                                CatalogFinderException,
                                CatalogException

  Deprecated See BEA Commerce product offering

  Returns the keywords associated with a given product item.

  Parameters
    `request` - The catalog request object.
    `productKey` - The key of the target product.
  Returns
    The keywords associated with the given product item. If there are no keywords associated with the item, a zero length <code>String</code> array is returned.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### setKeywords

    void setKeywords(CatalogRequest request,
                     ProductItemKey productKey,
                     String[] keywords)
                     throws RemoteException,
                            CatalogFinderException,
                            CatalogException

  Deprecated See BEA Commerce product offering

  Sets the keywords for a given product item.

  Parameters
    `request` - The catalog request object.
    `productKey` - The key of the target product.
    `keywords` - The keywords to associate with the given product item.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### createItem

    void createItem(CatalogRequest request,
                    ProductItem product)
                    throws RemoteException,
                           CatalogCreateException,
                           CatalogException

  Deprecated See BEA Commerce product offering

  Creates a new product item.

  Parameters
    `request` - The catalog request object.
    `product` - The product item to persist.
  Throws
    `CatalogCreateException` - if the product item could not be created.
    `CatalogException` - on general error.
    `RemoteException`

### updateItem

    void updateItem(CatalogRequest request,
                    ProductItem product)
                    throws RemoteException,
                           CatalogFinderException,
                           CatalogException

  Deprecated See BEA Commerce product offering

  Updates a product item.

  Parameters
    `request` - The catalog request object.
    `product` - The product item to update.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### removeItem

    void removeItem(CatalogRequest request,
                    ProductItemKey productKey)
                    throws RemoteException,
                           CatalogRemoveException,
                           CatalogFinderException,
                           CatalogException

  Deprecated See BEA Commerce product offering

  Removes a product item.

  Parameters
    `request` - The catalog request object.
    `product` - The product item to remove.
  Throws
    `CatalogRemoveException` - if the product item could not be removed.
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved